package controller

import (
	"blog/config"
	"blog/models"
	"net/http"
)

func Talk(w http.ResponseWriter, r *http.Request) {

	TalkTemplate := models.Template.Talk

	if err := r.ParseForm(); err != nil {
		TalkTemplate.WriteError(w, err)
	}

	TalkTemplate.WriteData(w, models.BuildViewData("Talk", map[string]interface{}{
		"memos_url":  config.Cfg.MemosURL,
		"memos_user": config.Cfg.MemosUser,
		"memos_tag":  config.Cfg.MemosTalkTag,
		"author":     config.Cfg.Author,
		"qq":         config.Cfg.Qq,
	}))

}
